Advanced roadmap - Error #449

Version order invalid on sidebar
2011-03-08 15:16 - Luis Serrano

Status: Rejected Start date: 2011-05-18
Priority: Normal Due date: 2011-05-18
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Versions Estimated time: 0.00 hour
Target version: Advanced roadmap 0.5.1

Source: Customer Redmine version:

Detected on version:

Description
When | look in the sidebar the version the order are not correct.

In the file /views/versions/index.html.erb (line 37) put <% @versions.sort.each do |version| > instead < @versions.each do |version|
Yo>
the same in the file /views/milestone/show.rhtml (line 35)

History

#1 - 2011-05-05 14:35 - Luis Serrano

When | look in the sidebar the version the order are not correct.
In the files:

e /views/versions/index.html.erb (line 8 and 37)
e /views/milestone/show.rhtml (line 20 and 35)

Must be added:

<% @versions.sort.each do |version| %>

Instead of:

<% @versions.each do |version| %>

#2 - 2011-05-06 10:28 - Emilio Gonzalez Montafia
- Category set to Versions
- Target version set to Advanced roadmap 0.5.1

- Start date deleted (2011-03-08)

#3 - 2011-05-18 18:36 - Emilio Gonzalez Montaina
- Due date set to 2011-05-18

- Status changed from New to Rejected

- Assignee set to Emilio Gonzalez Montarfia

- Start date set to 2011-05-18

- % Done changed from 0 to 100

Versions were well sorted, but not by name, the algorithm followed is:

versions.sort!{|a, bl
if 'a.effective_date.nil? and !b.effective_date.nil?
a.effective_date <=> b.effective_date
elsif a.effective_date.nil? and !b.effective_date.nil?
1
elsif l!a.effective_date.nil? and b.effective_date.nil?
=l
elsif a.rest_hours != b.rest_hours
a.rest_hours <=> b.rest_hours
else

a.name.downcase <=> b.name.downcase
end

}

The idea is to sort by due date, if the date is provided on versions it will be used, if not the estimated pending effort will be used, if any of the previous
things is valid, then the version name will be used.

#4 - 2011-06-02 00:12 - Emilio Gonzalez Montafia

- Tracker changed from Feature to Error

- Subject changed from Version order to Version order invalid on sidebar

- Source set to Customer
